cancel
Showing results for 
Search instead for 
Did you mean: 

Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

Highlighted
New User

Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

I'm running Windows 7-64 bit. Over the last 30 days or so, every time I check my plugins, I get the message that Shockwave Flash is vulnerable and that I need to update now to 11.4 r402.

I have downloaded and installed at least a dozen times. I close Firefox to install, and when I restart and/or reboot, I still get the message that Flash is vulnerable. GETTING OLD!

I've followed all the troubleshooting suggestions - I've completely uninstalled Flash and done the full re-install - same non-results.

Flash crashes repeatedly daily - obviously it has a problem, but I can't figure out how to fix it. I really don't want to switch to IE (UGH!)

8 REPLIES
New User

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

I take it there IS no fix, since I have not had a reply, and 19 others indicate they have the same problem.

There is new information on the "vulnerable" message today, and that doesn't work either.

REALLY REALLY REALLY TIRED OF THIS!

Site Moderator

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

New User

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

How does looking at the find version page help? I know what version I have and I know that it won't update!

Site Moderator

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

If that page confirms that you have the latest version of the Flash plugin then you can ignore the plugin check page.

New User

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

What part of "I've followed all the troubleshooting suggestions - I've completely uninstalled Flash and done the full re-install - same non-results" was unclear? I've made multiple trips to the Find a Version page. I know what version I am running and I know it does not update.

I'm running Flash 11.4.402.278 and NOTHING I do will update it to *.287. I always get the automated message that it successfully installed, but a return to the check plug-ins page still shows that annoying red vulnerable button.

Site Moderator

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

If updating doesn't work then uninstall Flash and install the latest Flash player version.

New User

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

I don't mean to be rude, but did you even bother to read what I wrote before you spouted the usual?

"I've followed all the troubleshooting suggestions - I've completely uninstalled Flash and done the full re-install - same non-results. "

New User

Re: Multiple downloads and installs of Shockwave Flash 11.4 r402 and I still get the "vulnerable" update now message

For the 22 other people who have indicated they have the same problem and for all the others who probably have the problem -

I went to the Adobe forum and asked the same question. The answer was not spot-on, but it was close enough to allow me to FINALLY update.

The answer was: "Check C:\Windows\system32\Macromed\Flash; you may have two NPSWF...dll files in there. Simply restart Windows, and the old one will be gone."

Well, I have Windows 7 64 so, of course, checking the system32 version was not valid. But, I checked the SysWOW64 version of the same file, and DID find 2 versions of the *.dll file. Rebooted and I FINALLY am on *.287.

Now - I regret to report that Flash is still crashing, so not everything is fixed, but at least I am no longer on a "vulnerable" version.

The curious issue - my system has been rebooted MANY times in the intervening time, so why did it not update before? And why is there no "you must reboot" message, either from Adobe or from Firefox?